IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Cabal_Formato')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_String, NOTA)
	VALUES (1, 'Cabal_Formato', 'Formato de Archivo para Cabal','Valor_String','C','Formato para generar el archivo de Cabal. VALORES: A: Versión anterior a Abril 2017, B: Versión posterior a Abril 2017, C: Versión 2024')
END
ELSE
BEGIN
	UPDATE XParametros SET Valor_String = 'B',Nota='Formato para generar el archivo de Cabal. VALORES: A: Versión anterior a Abril 2017, B: Versión posterior a Abril 2017, C: Versión 2024' WHERE IdParametro = 'Cabal_Formato'
END
GO

